#include "config.h"
#include <Arduino.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include "netman.h"
#include "functions.h"
#include "bitmaps.h"
#include "octoprint.h"

void setup() {
  initSystems();
  netman netman(display);
  playTune(1);
  netman.start();
  displayOctoPrintVersion(display);
}

void loop() {
  commonButtonHandler();
  fetchPrintingStatus(display);
}
